Credentials
Get Worker Credentials
Returns a paginated list of credentials for a specific worker. Optionally filter by credential type.
GET
/
workers
/
{id}
/
credentials
Get Worker Credentials
curl --request GET \
--url https://api.roostedhr.com/api/1_12/workers/{id}/credentials \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.roostedhr.com/api/1_12/workers/{id}/credentials"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.roostedhr.com/api/1_12/workers/{id}/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"credentials": [
{
"id": "<string>",
"personnel_id": 123,
"credentials_id": "<string>",
"submitter_id": 123,
"submitter_name": "<string>",
"date_completed": "<string>",
"date_completed_nice": "<string>",
"date_expired": "<string>",
"date_expired_nice": "<string>",
"date_submitted": "<string>",
"date_submitted_nice": "<string>",
"file_location_value": "<string>",
"file_name": "<string>",
"file_display_name": "<string>",
"clients_id": "<string>",
"client_name": "<string>",
"locations_id": "<string>",
"location_name": "<string>",
"company_id": 123,
"name": "<string>",
"description": "<string>",
"expiring_inform_period": 123,
"expiring_inform_hr_period": 123,
"course_id": 123,
"expiration_months": 123
}
],
"total": 123
}Authorizations
Path Parameters
Worker ID
Query Parameters
Number of credentials per page.
Required range:
x >= 1Page number to retrieve.
Required range:
x >= 1Filter credentials by type.
Available options:
general, client, venue ⌘I
Get Worker Credentials
